Bug 77740 - [patch] www/mod_fastcgi allow select NO_SUEXEC_FOR_AP_USER_N_GROUP
Summary: [patch] www/mod_fastcgi allow select NO_SUEXEC_FOR_AP_USER_N_GROUP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-19 17:50 UTC by Vladimir Tananko
Modified: 2005-05-31 11:47 UTC (History)
0 users

See Also:


Attachments
file.diff (701 bytes, patch)
2005-02-19 17:50 UTC, Vladimir Tananko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Tananko 2005-02-19 17:50:13 UTC
	
	mod_fastcgi ( 2.4.3 ) provide the NO_SUEXEC_FOR_AP_USER_N_GROUP 
	macro for building mod_fastcgi with the Apache 1.3 suexec
	behaviour (don't use suexec if httpd's user and group match
	that needed for the application).

	The patch allows to use this macro as shown below.

	cd /usr/ports/www/mod_fastcgi
	make NO_SUEXEC_FOR_AP=yes

How-To-Repeat: 	
	n/a
Comment 1 Volker Stolz freebsd_committer 2005-02-27 18:03:18 UTC
Dear maintainer, please review the proposed patch!

Volker
Comment 2 Volker Stolz freebsd_committer 2005-02-27 18:03:30 UTC
State Changed
From-To: open->feedback

Forwarded PR to maintainer
Comment 3 Florent Thoumie freebsd_committer 2005-05-31 11:46:25 UTC
State Changed
From-To: feedback->closed

Committed, thanks.